package com.ruoyi.ucp.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author gfhd
 * @since 2024-10-29
 */
@TableName("predict_examin")
public class PredictExamin implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Integer id;

    private String modelId;

    private String predictType;

    private String deviceType;

    private Date time;

    private String siteId;

    private String periodId;

    private String lineId;

    private String turbineId;

    private Double examinScore;

    private Double accuracyRate;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getModelId() {
        return modelId;
    }

    public void setModelId(String modelId) {
        this.modelId = modelId;
    }

    public String getPredictType() {
        return predictType;
    }

    public void setPredictType(String predictType) {
        this.predictType = predictType;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    public Date getTime() {
        return time;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    public String getSiteId() {
        return siteId;
    }

    public void setSiteId(String siteId) {
        this.siteId = siteId;
    }

    public String getPeriodId() {
        return periodId;
    }

    public void setPeriodId(String periodId) {
        this.periodId = periodId;
    }

    public String getLineId() {
        return lineId;
    }

    public void setLineId(String lineId) {
        this.lineId = lineId;
    }

    public String getTurbineId() {
        return turbineId;
    }

    public void setTurbineId(String turbineId) {
        this.turbineId = turbineId;
    }

    public Double getExaminScore() {
        return examinScore;
    }

    public void setExaminScore(Double examinScore) {
        this.examinScore = examinScore;
    }

    public Double getAccuracyRate() {
        return accuracyRate;
    }

    public void setAccuracyRate(Double accuracyRate) {
        this.accuracyRate = accuracyRate;
    }

    @Override
    public String toString() {
        return "PredictExamin{" +
            "id = " + id +
            ", modelId = " + modelId +
            ", predictType = " + predictType +
            ", deviceType = " + deviceType +
            ", time = " + time +
            ", siteId = " + siteId +
            ", periodId = " + periodId +
            ", lineId = " + lineId +
            ", turbineId = " + turbineId +
            ", examinScore = " + examinScore +
            ", accuracyRate = " + accuracyRate +
        "}";
    }
}
